Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.text.rules
Class RuleBasedDamagerRepairer

    java.lang.Object
      org.eclipse.jface.text.rules.DefaultDamagerRepairer
          org.eclipse.jface.text.rules.RuleBasedDamagerRepairer

All Implemented Interfaces:
  IPresentationDamager, IPresentationRepairer

Deprecated. use `DefaultDamagerRepairer`

public class RuleBasedDamagerRepairer
extends DefaultDamagerRepairer

Field Summary

Fields inherited from class org.eclipse.jface.text.rules.DefaultDamagerRepairer
`fDefaultTextAttribute, fDocument, fScanner`

Constructor Summary
`RuleBasedDamagerRepairer(RuleBasedScanner scanner)` Deprecated. Creates a damager/repairer that uses the given scanner.
`RuleBasedDamagerRepairer(RuleBasedScanner scanner, TextAttribute defaultTextAttribute)` Deprecated. use RuleBasedDamagerRepairer(RuleBasedScanner) instead

Methods inherited from class org.eclipse.jface.text.rules.DefaultDamagerRepairer
`addRange, createPresentation, endOfLineOf, getDamageRegion, getTokenTextAttribute, setDocument`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RuleBasedDamagerRepairer

    public RuleBasedDamagerRepairer(RuleBasedScanner scanner,
                                    TextAttribute defaultTextAttribute)

  Deprecated. use RuleBasedDamagerRepairer(RuleBasedScanner) instead

  Creates a damager/repairer that uses the given scanner and returns the given default text attribute if the current token does not carry a text attribute.

Parameters:
  `scanner` - the rule based scanner to be used
  `defaultTextAttribute` - the text attribute to be returned if non is specified by the current token, may not be `null`

### RuleBasedDamagerRepairer

    public RuleBasedDamagerRepairer(RuleBasedScanner scanner)

  Deprecated.
  Creates a damager/repairer that uses the given scanner. The scanner may not be `null` and is assumed to return only token that carry text attributes.

Parameters:
  `scanner` - the rule based scanner to be used, may not be `null`
Since:
  2.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.